ACCT_PROCESS(9) | Kernel Developer's Manual | ACCT_PROCESS(9)

# NAME

`acct_process` — populate and write the process accounting record

# SYNOPSIS

`#include <sys/acct.h>`

int
`acct_process`(struct lwp *l);

# DESCRIPTION

The `acct_process` function is called when the process exits. If accounting is turned off, it returns immediately. If accounting is turned on via acct(2), then the `acct_process` populates the accounting structure described in acct(5), then writes the accounting record to the file specified by acct(2).

# RETURN VALUES

`acct_process` returns 0 on success and the same error codes as vn_rdwr(9) on failure.

# SEE ALSO

acct(2), acct(5), vn_rdwr(9).

August 5, 2024 | NetBSD 11.0